package ipl;

import futils.Futil;

import java.io.FileOutputStream;
import java.io.PrintStream;

public class Dxf {
    FileOutputStream os = Futil.getFileOutputStream();
    PrintStream output = new PrintStream(os);

    double PI = Math.PI;
    int number;

    public static void main(String args[]) {
        outputTest();
    }

    public void line(double X, double Y, double NX, double NY) {
        output.println("0\nLINE\n8\n0\n10");
        output.println(X + "\n20\n" + Y + "\n30\n0.0");
        output.println("11\n" + NX + "\n21\n" + NY + "\n31\n0.0");
    }

    public void runTest() {
        int numberOfSidesForPolygon = 20;
        double X = 0;
        double Y = 0;
        double D = 0.5;
        double NX, NY;
        int polygonSide = 1;
        double A1 = 2.0 * PI / ((double) numberOfSidesForPolygon);
        double A = PI / 2.0;
        output.println("0\nSECTION\n2\nENTITIES");
        for (int i = 0; i <= numberOfSidesForPolygon; i++) {
            NX = D * Math.cos(A) + X;
            NY = D * Math.sin(A) + Y;
            line(X, Y, NX, NY);
            X = NX;
            Y = NY;
            A += A1;
        }
        output.println("0\nENDSEC\n0\nEOF");
        Futil.closeOutputStream(os);
    }

    public static void outputTest() {
        Dxf d = new Dxf();
        d.runTest();
    }
}