package diffcad;

import futils.Print;

import java.awt.*;

class Target extends Shape {

    void draw(Graphics g) {
        setColor(Geometry.laser.getColor().brighter());
        pushGraphicsState(g);
        fillCircle(g, p1, shapeRadius);
        popGraphicsState(g);
    }

    void print() {
        Print.className(this);
        print("p1 =");
        p1.print();
    }


}
