package diffcad;

import futils.Print;

import java.awt.*;


class Wedge extends Shape {
    Laser laser;


    void change_config(point t) {
        change_config(p1.x + t.x * 2, p1.y = p1.y + t.y * 2);
    }

    void change_config(double x, double y) {
        p1.x = x;
        p1.y = y;
        Ray r = new Ray(p1, laser.pc);
        laser.rotation.setValue(r.r_angle_d() + 90);
        laser.update();
    }


    void print() {
        Print.className(this);
        print("p1 =");
        p1.println();
    }

    void draw(Graphics g) {
        pushGraphicsState(g);

        fillCircle(g, p1, shapeRadius);
        popGraphicsState(g);
    }
}