package gui;

import java.awt.*;

// Applet to Application Frame window

public class AppletHandlerFrame extends AppletFrame {


    // constructor needed to pass window title to class Frame
    public AppletHandlerFrame(String name) {
        // call java.awt.Frame(String) constructor
        super(name);
    }

    // needed to allow window close
    public boolean handleEvent(Event e) {
        //System.out.println("AppletHandlerFrame:"+ e);
        // Applet event
        if (Evt.applet(e)) {
            System.out.println("Applet:" + e);
            String args[] = {""};
            String className = (String) e.arg;
            startApplet(className, className, args);
            //return true;
        }

        // it's good form to let the super class look at any unhandled events
        return super.handleEvent(e);

    }  // end handleEvent()

    public MenuItem addMenuItem(Menu aMenu, String itemName) {
        MenuItem mi = new MenuItem(itemName);
        aMenu.add(mi);
        return (mi);
    }

}   // end class ClosableFrame

